package com.example.zxweb.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @Description 设备方法 对象
 * @Author ZhouWenTao
 * @Date 2023/9/13 13:41
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="zx_device_method对象", description="zx_device_method对象")
@TableName(value = "zx_device_method")
public class ZxDeviceMethod implements Serializable {
    @ApiModelProperty(value = "模型编码")
    private String modelCode;
    @ApiModelProperty(value = "下行方法")
    private String method;
    @ApiModelProperty(value = "下方方法名称")
    private String methodName;
    @ApiModelProperty(value = "参数")
    private String parameter;
}
