package com.example.zxweb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.zxweb.entity.ZxDevice;
import com.example.zxweb.entity.ZxDeviceMethod;

import java.util.List;

/**
 * @Description 设备信息
 * @Author ZhouWenTao
 * @Date 2023/9/14 9:14
 */
public interface IZxDeviceService extends IService<ZxDevice> {
    /**
     * 根据型号获取其可执行下行方法
     * @param modelCode 设备型号
     * @return
     */
    public List<ZxDeviceMethod> getMethodByDeviceModelCode(String modelCode);
}
