package com.example.zxweb.dto;

import com.example.zxweb.entity.ZxCelue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Description
 * @Author ZhouWenTao
 * @Date 2023/9/14 13:28
 */
@Data
@ApiModel(value = "策略信息查询返回对象")
public class ZxCelueDTO extends ZxCelue {
    @ApiModelProperty(value = "选择设备id集合")
    private List<String> devidList;
    @ApiModelProperty(value = "timeType")
    private String timeType;
    @ApiModelProperty(value = "每周")
    private String weeklyDay;
    @ApiModelProperty(value = "执行时段")
    private String exeTime;
}
