package com.example.zxweb.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @Description 设备 对象
 * @Author ZhouWenTao
 * @Date 2023/9/13 13:41
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="zx_device对象", description="zx_device对象")
@TableName(value = "zx_device")
public class ZxDevice implements Serializable {
    @TableId
    @ApiModelProperty(value = "设备id")
    private String serial;
    @ApiModelProperty(value = "设备名称")
    private String terminalName;
    @ApiModelProperty(value = "模型编码")
    private String modelCode;
    @ApiModelProperty(value = "设备类型")
    private String type;
}
