package com.example.zxweb.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description
 * @Author ZhouWenTao
 * @Date 2023/9/14 9:44
 */
@Data
@ApiModel(value = "新建策略信息对象")
public class AddZxCeluePVO implements Serializable {
    @ApiModelProperty(value = "策略id")
    private String celueid;
    @ApiModelProperty(value = "选择设备id集合")
    private List<String> devidList;
    @ApiModelProperty(value = "策略名称")
    private String name;
    @ApiModelProperty(value = "执行类型(放电/断电/开灯/关灯....)")
    private String type;
    @ApiModelProperty(value = "时间类型(everyDay:每天,weekly:每周,day:单日,date:日期段)")
    private String timeType;//时间类型(everyDay:每天,weekly:每周,day:单日,date:日期段)
    @ApiModelProperty(value = "执行时间(HH:mm 例：08:30)")
    private String exeTime;//执行时间(HH:mm 例：08:30)
    @ApiModelProperty(value = "1,2,3：周一,周二，周三")
    private String weeklyDay;//1,2,3：周一,周二，周三
    @ApiModelProperty(value = "每月的第几天,1,31  每月1日，31日")
    private String day;//   每月的第几天,1,31  每月1日，31日
    /*@ApiModelProperty(value = "每月的第几天,1,31  每月1日，31日")
    private String day;//   每月的第几天,1,31  每月1日，31日*/
    @ApiModelProperty(value = "范围型，开始日期 2023-09-10")
    private String startTime;//范围型，开始日期 2023-09-10
    @ApiModelProperty(value = "范围型，截止日期 2023-09-30")
    private String endTime;//范围型，截止日期 2023-09-30

    @ApiModelProperty(value = "备注")
    private String description;
}