package com.example.zxweb.vo;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description
 * @Author ZhouWenTao
 * @Date 2023/9/12 11:28
 */
@Data
public class IotRquestBodyPVO implements Serializable {
    @ApiModelProperty(value = "serial")
    private String serial;
    @ApiModelProperty(value = "productId")
    private String productId;
    @ApiModelProperty(value = "方法名")
    private String methodName;
    @ApiModelProperty(value = "方法执行参数")
    private JSONObject inputData;

    public IotRquestBodyPVO() {}

    public IotRquestBodyPVO(String serial, String productId, String methodName, JSONObject inputData) {
        this.serial = serial;
        this.productId = productId;
        this.methodName = methodName;
        this.inputData = inputData;
    }
}
