package com.example.zxweb.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @Description
 * @Author ZhouWenTao
 * @Date 2023/9/8 11:46
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="获取单个设备信息入参", description="获取单个设备信息入参")
public class QueryDevicesVO implements Serializable {
    @ApiModelProperty(value = "设备序列号")
    public String serial;
    @ApiModelProperty(value = "产品序列号")
    public String productId;
}
